bind-methods {planor} | R Documentation

## Bind Two Objects

### Description

Methods to bind two objects of the same class.

### Usage

    ## S4 method for signature 'designfactors,designfactors'
    bind(x, y)

### Arguments

`x` | an object of the first class in the signature.
`y` | an object of the second class in the signature.

### Value

An object of the same class as `x` and `y`, containing their joint content.

### Note

Factors with same name are distinguished and advertised with a warning.

### See Also

Class where this method applies: `designfactors`

### Examples

    F1 <- planor.factors(factors=c("block",LETTERS[1:4]), nlevels=c(6,6,4,2,6))
    F2 <- planor.factors(factors=c("block",LETTERS[11:12]), nlevels=c(6,6,4))
    ### Method bind on designfactors objects
    F3 <- bind(F1,F2)
    names(F3)

[Package planor version 1.5-1 Index]